Entschuldigung, diese Seite wurde von einem Sprachroboter übersetzt.
Unsere Übersetzer arbeiten fleißig, aber diese Seite wartet noch darauf, fachkundig ins Deutsche übertragen zu werden. Bis dahin ist unser Roboter aktiv. Für sprachliche Mängel bitten wir um Entschuldigung. Teile uns gerne mit den Buttons unten mit, ob dir diese Seite trotzdem helfen konnte. Zur englischen Version wechseln! Machen die Roboter ihre Sache gut? Mit den Schaltflächen unten auf der Seite können Sie uns das mitteilen. Zur englischen Version wechseln

Überprüfen der Service-Versionen auf meinem Linux-Server

Verwenden Sie diese Befehle, um verschiedene Versionen häufig installierter Dienste auf Ihrem Linux-Server unter CentOS, Ubuntu und Fedora zu überprüfen.

CentOS / Fedora

Apache : / usr / sbin / httpd -v oder httpd -v

Serverversion: Apache / 2.2.29 (Unix) Server erstellt: 7. Oktober 2014 11:35:25 Cpanel :: Easy :: Apache v3.26.8 rev9999


Apache unter cPanel : / usr / local / apache / bin / httpd -v

Serverversion: Apache / 2.2.29 (Unix) Server erstellt: 7. Oktober 2014 11:35:25 Cpanel :: Easy :: Apache v3.26.8 rev9999


Curl : rpm -q curl

curl-7.19.7-40.el6_6.3.x86_64


Bash : bash --version

GNU Bash, Version 4.1.2 (1) -release (x86_64-redhat-linux-gnu) Copyright (C) 2009 Free Software Foundation, Inc. Lizenz GPLv3 +: GNU GPL Version 3 oder höher<http: gnu.org/licenses/gpl.html=""></http:>


Exim : exim -bV

Exim-Version 4.84 # 2 vom 10.09.2014 15:02:41


Glibc : ls / lib / libc- *

/lib/libc-2.12.so*


Kernel : uname -r

2.6.32-042stab093.5


PHP : php -v

PHP 5.4.33 (cli) (Baujahr: 7. Oktober 2014, 11:48:26) Copyright (c) 1997-2014 The PHP Group Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies


MySQL : mysql -v

Willkommen beim MySQL-Monitor. Befehle enden mit; oder \ g. Ihre MySQL-Verbindungs-ID ist 213432 Serverversion: 5.5.40-cll MySQL Community Server (GPL)


CentOS / Fedora : cat / etc / redhat-release

CentOS Release 6.6 (Final)

Ubuntu

Apache : / usr / sbin / apache2 -v oder apache2 -v

Serverversion: Apache / 2.4.7 (Ubuntu) Erstellt am: 22. Juli 2014 14:37:36


Curl : curl --version

curl 7.35.0 libcurl / 7.35.0 OpenSSL / 1.0.1f zlib / 1.2.8 libidn / 1.28 librtmp / 2.3


Bash : bash --version

GNU bash, Version 4.3.8 (1) -release Copyright (C) 2013 Free Software Foundation, Inc. Lizenz GPLv3 +: GNU GPL Version 3 oder höher<http: gnu.org/licenses/gpl.html=""></http:>


GLibc: ldd --version

ldd (Ubuntu EGLIBC 2.19-0ubuntu6) 2.19 Copyright (C) 2014 Free Software Foundation, Inc.


Kernel : uname -r

3.4.86


PHP : php --version

PHP 5.5.9-1ubuntu4.5 (cli) (Erstellt am 29.10.2014 12:33:19) Copyright (c) 1997-2014 The PHP Group


MySQL : mysql --version

mysql Ver 14.14 Distrib 5.5.40, für debian-linux-gnu


Ubuntu : lsb_release -a

Es sind keine LSB-Module verfügbar. Distributor-ID: Ubuntu Beschreibung: Ubuntu 14.04 LTS Release: 14.04 Codename: trusty

Sonstiges

OpenSSL : openssl-Version

OpenSSL 1.0.1e-fips 11. Februar 2013


Birne : birne info birne | grep Version
Plesk : cat / usr / local / psa / version
Qmail : man qmail | grep-Version (Dies setzt voraus, dass bei Upgrades installierte MAN-Seiten installiert sind.)
sshd : / usr / sbin / sshd -v

Weitere Informationen

Dies sind nur einige der Befehle zum Prüfen von Versionen häufig installierter Software / Services. Es gibt noch viel mehr Software / Services, die installiert werden können. Sie können die Version folgendermaßen überprüfen:

rpm -qa | grep XXXsoftwarenameXXX


War dieser Artikel hilfreich?
Vielen Dank für deine Vorschläge. Um mit einem Mitarbeiter unsere Kundenservice zu sprechen, nutze bitte die Telefonnummer des Support oder die Chat-Option oben.
Gern geschehen! Können wir sonst noch etwas für Sie tun?
Tut uns leid. Teile uns mit, was unklar war, und warum diese Lösung nicht zur Behebung des Problems geführt hat.